local newWindow = osrs.Ui:window({title="Warning"}) 

newWindow:addChild(osrs.Ui:textButton(
    {
        onClick = function()
           osrs.print("Text Button Test")
        end
    })
)

imgBtn1 = osrs.Ui:imageButton(
    {
        onClick = function()
           osrs.print("Image Button Test")
        end
    })
imgBtn1:setImagePath("example.png")

-- Create a UI input text
local inputText = osrs.Ui:inputText(
    {
        onValueChanged = function()
            osrs.print("Input Value Changed")
        end
    }
)

-- Create a container
local window = osrs.Ui:window({title = "Example Window"})

-- Create a tab box
local tabBox = osrs.Ui:tabBox()

-- Add a tab to the tab box
tabBox:addTab("Tab 1")

-- Create and add two buttons to the tab
local button1 = osrs.Ui:textButton({text = "Button 1"})
local button2 = osrs.Ui:textButton({text = "Button 2"})
tabBox:addTabChild(1, button1)
tabBox:addTabChild(1, button2)

-- Remove the first button in the tab
tabBox:removeTabChild(1, button1)

-- Add the tab box to the container 
window:addChild(tabBox)

-- Add the container to the canvas 
osrs.Ui.canvas:addChild(window)

newWindow:addChild(inputText)
newWindow:addChild(imgBtn1)

osrs.Ui.canvas:addChild(newWindow)
